-- Set environment settings
SET STORAGE_ENGINE = InnoDB;
SET FOREIGN_KEY_CHECKS = 1;

-- Use DB 
USE ScuolaSci;

-- Delete previous data
DELETE FROM Lezione;
DELETE FROM Maestro;
DELETE FROM Cliente;
DELETE FROM Orario;

-- Insert data
-- Table Maestro
INSERT INTO Maestro (CodFisc,  Nome,  Cognome, Specialita, DataNascita,  Email, Telefono, OreLez)
	VALUES ('SMTPLA80N31B791Z', 'Paul', 'Smith', 'Sci alpino', '1980-12-31', 'p.smith@email.it', NULL, 24);
INSERT INTO Maestro (CodFisc, Nome, Cognome, Specialita, DataNascita, Email, Telefono, OreLez)
	VALUES ('KHNJHN81E30C455Y', 'John', 'Johnson', 'Sci nordico', '1981-05-30', 'j.johnson@email.it', '+3900110303444', 30);
INSERT INTO Maestro (CodFisc, Nome, Cognome, Specialita, DataNascita, Email, Telefono, OreLez)
	VALUES ('AAAGGG83E30C445A', 'Peter', 'Johnson', 'Sci nordico', '1981-05-30', 'p.johnson@email.it', '+3900110303445', 20);

-- Table Cliente
INSERT INTO Cliente (IdCliente, Nome, OreLez)
	VALUES (101, 'Andrea', 4);
INSERT INTO Cliente (IdCliente, Nome, OreLez)
	VALUES (102, 'Barbara', 0);
INSERT INTO Cliente (IdCliente, Nome, OreLez)
	VALUES (103, 'Carlo', 8);

-- Table Lezione
INSERT INTO Lezione (CodFisc, Giorno, Ora, IdCliente)
	VALUES ('SMTPLA80N31B791Z', 'Lunedì', 10, 101);
INSERT INTO Lezione (CodFisc, Giorno, Ora, IdCliente)
	VALUES ('SMTPLA80N31B791Z', 'Martedì', 11, 101);
INSERT INTO Lezione (CodFisc, Giorno, Ora, IdCliente)
	VALUES ('SMTPLA80N31B791Z', 'Martedì', 15, 102);
INSERT INTO Lezione (CodFisc, Giorno, Ora, IdCliente)
	VALUES ('KHNJHN81E30C455Y', 'Lunedì', 10, 102);
INSERT INTO Lezione (CodFisc, Giorno, Ora, IdCliente)
	VALUES ('KHNJHN81E30C455Y', 'Lunedì', 11, 102);
INSERT INTO Lezione (CodFisc, Giorno, Ora, IdCliente)
	VALUES ('KHNJHN81E30C455Y', 'Mercoledì', 9, 103);

-- Table Orario
INSERT INTO Orario VALUES(9);
INSERT INTO Orario VALUES(10);
INSERT INTO Orario VALUES(11);
INSERT INTO Orario VALUES(12);
INSERT INTO Orario VALUES(13);
INSERT INTO Orario VALUES(14);
INSERT INTO Orario VALUES(15);
INSERT INTO Orario VALUES(16);
