﻿<html>
<head>
	<title>Inserimento lezione</title>
</head>

<body>
	<h3>Nuova lezione di sci settimanale - Passo 3</h3>
	<!-- ------------------------------------------------------------------ -->
	<!-- inserimento della lezione -->
	<?php
		// controllo della presenza dei parametri
		if(!isset($_REQUEST["CodFisc"], $_REQUEST["Giorno"],
			$_REQUEST["Ora"], $_REQUEST["IdCliente"])) 
			die("Errore: parametri mancanti");
		// acquisizione dei parametri
		$CodFisc = $_REQUEST["CodFisc"];
		$Giorno = $_REQUEST["Giorno"];
		$Ora = $_REQUEST["Ora"];
		$IdCliente = $_REQUEST["IdCliente"];
		// connessione al DB
		$con = mysqli_connect('localhost','root','','ScuolaSci');
		if (mysqli_connect_errno())
			die("Errore di connessione al DB: " . mysqli_connect_error());
		mysqli_query($con, "SET CHARACTER SET utf8");
		mysqli_query($con, "SET NAMES utf8");
		// ottenimento del nominativo del maestro di sci
		$sql = "SELECT Nome, Cognome
			FROM Maestro
			WHERE CodFisc = '$CodFisc'";
		$result = mysqli_query($con,
			"SELECT Nome, Cognome FROM Maestro WHERE CodFisc = '$CodFisc'");
		$row = mysqli_fetch_row($result);
		$NomeCognome = "$row[0] <strong>$row[1]</strong>";
		// -------------------------------------------------------
		// disabilitazione del COMMIT automatico dopo ogni istruzione SQL
		mysqli_autocommit($con, FALSE);
		// avvio della transazione:
		// tutte le istruzioni SQL che seguono vengono considerate come
		// blocco unico e le tabelle coinvolte sono isolate
		mysqli_begin_transaction($con);
		// incremento di 1 del numero di ore stagionali del maestro e del cliente
		mysqli_query($con, "UPDATE Maestro SET OreLez = OreLez + 1 WHERE CodFisc = '$CodFisc'");
		mysqli_query($con, "UPDATE Cliente SET OreLez = OreLez + 1 WHERE IdCliente = $IdCliente");
		// inserimento dell'ora di lezione nella tabella Lezione
		mysqli_query($con, "INSERT INTO Lezione VALUES('$CodFisc', '$Giorno', $Ora, $IdCliente)");
		// controllo del risultato dell'inserimento
		if (mysqli_errno($con)) {
			// se nella tabella Lezione esiste già una lezione con i dati ($CodFisc, $Giorno, $Ora),
			// l'inserimento non viene eseguito e si genera un errore del tipo 'Duplicazione di chiave';
			// in questo caso si annullano tutte le modifiche e si visualizza un messaggio di errore
			mysqli_rollback($con);
			echo("<p>ATTENZIONE: il $Giorno alle ore $Ora:00 il maestro $NomeCognome è già occupato</p>");
		}
		else {
			// in assenza di errore si confermano le modifiche e si visualizza un messaggio di inserimento riuscito
			mysqli_commit($con);
			echo("<p>Al maestro $NomeCognome è stata assegnata una nuova lezione il $Giorno alle ore $Ora:00</p>");
		}
	  // chiusura della connessione
		mysqli_close($con);
	?>
	<!-- ------------------------------------------------------------------ -->
	<!-- visualizzazione Button per tornare al passo 1 -->
	</br>
	<form method="get" action="Form1.php">
		<input type="submit" value="Inserisci un'altra lezione">
	</form>
</body>
</html>
